### Method

# GObject SignalGroup block

since: 2.72

#### Declaration

    void
    g_signal_group_block (
      GSignalGroup* self
    )

#### Description

Blocks all signal handlers managed by `self` so they will not be called during any signal emissions. Must be unblocked exactly the same number of times it has been blocked to become active again.

This blocked state will be kept across changes of the target instance.

Available since: 2.72